[toolchain]: replace gcc 4.5.2 support with 4.6.1
[openwrt/svn-archive/archive.git] / toolchain / gcc / patches / 4.6.1 / 830-arm_unbreak_armv4t.patch
1 http://sourceware.org/ml/crossgcc/2008-05/msg00009.html
2
3 --- a/gcc/config/arm/linux-eabi.h
4 +++ b/gcc/config/arm/linux-eabi.h
5 @@ -45,7 +45,7 @@
6 The ARM10TDMI core is the default for armv5t, so set
7 SUBTARGET_CPU_DEFAULT to achieve this. */
8 #undef SUBTARGET_CPU_DEFAULT
9 -#define SUBTARGET_CPU_DEFAULT TARGET_CPU_arm10tdmi
10 +#define SUBTARGET_CPU_DEFAULT TARGET_CPU_arm9tdmi
11
12 /* TARGET_BIG_ENDIAN_DEFAULT is set in
13 config.gcc for big endian configurations. */